## org.apache.fop.fo
Class StringProperty.Maker

    java.lang.Object
      |
      +--org.apache.fop.fo.Property.Maker
            |
            +--org.apache.fop.fo.StringProperty.Maker

Enclosing class:
  StringProperty

public static class StringProperty.Maker
extends Property.Maker

Constructor Summary
`StringProperty.Maker(java.lang.String propName)`

Method Summary
`Property` `make(PropertyList propertyList, java.lang.String value, FObj fo)` Create a Property object from an attribute specification.

Methods inherited from class org.apache.fop.fo.Property.Maker
`checkEnumValues, checkValueKeywords, compute, convertProperty, convertPropertyDatatype, getPercentBase, getPropName, getSubpropMaker, getSubpropValue, inheritsSpecified, isCompoundMaker, isCorrespondingForced, isInherited, make, make, makeCompound, setSubprop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringProperty.Maker

    public StringProperty.Maker(java.lang.String propName)

Method Detail

### make

    public Property make(PropertyList propertyList,
                         java.lang.String value,
                         FObj fo)

  Description copied from class: Property.Maker
  Create a Property object from an attribute specification.
  Overrides:
    make in class Property.Maker
  Tags copied from class: Property.Maker
  Parameters:
    `propertyList` - The PropertyList object being built for this FO.
    `value` - The attribute value.
    `fo` - The current FO whose properties are being set.
  Returns:
    The initialized Property object.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.